#----------------------------------------------------------
# This is the main server configuration

[section] main

# allow connections from port 21
ftpport 21

# set maximum users to 200
maxusers 200

# log everything execpt debugging logs
logstrength 63

# set logfile
logfile /var/log/anon-ftpd.log

# set default timeout to 300 seconds
timeout 300

# set the file displayed on login
logindump /etc/issue.ftp

# allow anyhost to connect
ipacl A:*

# set admin email address
email user@hostname

# set groups to run through. Only need one in anonymous set up
group anonymous

# set scratchfile for inetd operation
scratchfile /var/lock/muddleftpd.scratch 

# set hostname of the server
hostname testserver

#----------------------------------------------------------
# This configures the anonymous user
# Note: if the following doesn't work, then your computer
#       needs the ftp user to be set.

[section] anonymous

	# tell the server to accept people from any hostname
	ipacl A:*

	# tell the server to accept any username for this group
	nameacl A:*

	# tell the server to use chroot to the anonymous rootdir
	chroot 1

	# tell the server to use the ftp user as the anonymous rootdir
	# and uid/gid
	authparams ftp

	# tell the server to use the anonymous authenticator, and
	# accept any password.
	authmethod anonymous

	# disallow any changes to file permissions or upload umask
	chmoding 0

	# print out this file when the user logs in. It is not relative
	# to anonymous's rootdir
	welcome /home/ftp/welcome.msg

	# display this file when a user changes into a new directory
	cddump .message

	# display this file when too many users are logged on
	busydump /etc/msgs/msg.toomany

	# set the umask files are uploaded with
	umask 077

	# give anonymous user read/list access everywhere and add/list access
	# to the incoming folder. The / on the end of the second directive
	# tells muddleftpd to apply ACL to a directory rather than a file.
	access /:RLC
	# uncomment the following line to allow uploads of file to the
	# /incoming dir
	# access /incoming/:ALC
